> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Fulfillment Info

> Modifies the Fulfillment Info for a subscription.



## OpenAPI

````yaml /openapi/openapi_subscription.json put /commerce/subscriptions/{subscriptionId}/fulfillmentinfo
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SUBSCRIPTION">
                <h2>SUBSCRIPTIONS</h2>
                <p>The Subscription APIs are used to create and manage subscriptions in either an eCommerce+OMS implementation or a standalone 
                    Subscriptions solution. This includes updating items and quantities, subscription frequency, coupons, and performing actions 
                    on a subscription in addition to turning a subscription into an order. For more information, see the <a href="/pages/product-subscriptions">Subscriptions feature guide</a>.
                </p>
            </div>
  title: Subscriptions
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/subscriptions/{subscriptionId}/fulfillmentinfo:
    put:
      tags:
        - Subscription
      summary: Update Fulfillment Info
      description: Modifies the Fulfillment Info for a subscription.
      parameters:
        - description: The subscription identifier.
          in: path
          name: subscriptionId
          required: true
          schema:
            type: string
        - description: >-
            Determines the update strategy for this update (ApplyToOriginal,
            ApplyToDraft).
          in: query
          name: updateMode
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FulfillmentInfo'
        description: New fulfillment info for subscription.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FulfillmentInfo'
            text/json:
              schema:
                $ref: '#/components/schemas/FulfillmentInfo'
            text/plain:
              schema:
                $ref: '#/components/schemas/FulfillmentInfo'
          description: OK
components:
  schemas:
    FulfillmentInfo:
      description: "Shipment information, which includes the shipping address, price, estimated delivery date, tracking information, method (for example, Ground, Overnight, or Pick-up), \r\ncarrier (for example, USPS, UPS, FedEx), and current status (for example, Not Shipped, In Transit, Delayed, or Returned To Sender)."
      properties:
        auditInfo:
          $ref: '#/components/schemas/CoreApiContractsAuditInfo'
        data:
          description: Custom data originated by the shipping service.
          nullable: true
          type: object
        fulfillmentContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        isDestinationCommercial:
          description: Indicates that the destination is commercial
          nullable: true
          type: boolean
        shippingMethodCode:
          description: "Code that uniquely identifies the shipping method such as \"Ground,\" \"Overnight,\" or \"Digital.\"\r\nThe site's shipping settings lists the valid shipping methods specified for this site."
          nullable: true
          type: string
        shippingMethodName:
          description: Readable name of the shipping method
          nullable: true
          type: string
      type: object
    CoreApiContractsAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````